Bug 14182 - vfs_glusterfs does not deal with msdfs links correctly
vfs_glusterfs does not deal with msdfs links correctly
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.11.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-05 11:00 UTC by Guenther Deschner
Modified: 2020-01-14 08:17 UTC (History)
5 users (show)

See Also:


Attachments
patch (1.41 KB, patch)
2019-11-13 09:53 UTC, Anoop C S
gd: review+
gd: review? (obnox)
gd: review+
gd: ci‑passed+
Details
patch from master for v4.10 and v4.11 (1.78 KB, patch)
2019-12-17 22:01 UTC, Guenther Deschner
jra: review+
gd: ci‑passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2019-11-05 11:00:56 UTC
msdfs links (symlinks in the filesystem) do not show up when using vfs_glusterfs. It does work when using glusterfs fuse module though.
Comment 1 Anoop C S 2019-11-13 09:53:25 UTC
Created attachment 15616 [details]
patch

attaching a possible fix..
Comment 2 Guenther Deschner 2019-12-16 16:45:50 UTC
Comment on attachment 15616 [details]
patch

Patch looks good, thanks, makes the gluster readdir call behave like the vfs_default implementation of readdir w.r.t. behavior to symlinks.
Comment 3 Guenther Deschner 2019-12-16 16:48:44 UTC
Comment on attachment 15616 [details]
patch

Same as: https://gitlab.com/samba-team/samba/merge_requests/1005
Comment 4 Guenther Deschner 2019-12-17 22:01:48 UTC
Created attachment 15695 [details]
patch from master for v4.10 and v4.11
Comment 5 Jeremy Allison 2019-12-17 22:54:28 UTC
Re-assigning to Karolin for inclusion in 4.11.next, 4.10.next.
Comment 6 Karolin Seeger 2020-01-14 08:17:26 UTC
(In reply to Jeremy Allison from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!